lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "yume/version"

Gem::Specification.new do |spec|
  spec.name          = "yume"
  spec.version       = Yume::VERSION
  spec.authors       = ["Leandro Matheus"]
  spec.email         = ["leohige@outlook.com"]

  spec.summary       = "Discord bot development framework."
  spec.description   = "Discord bot development framework."
  spec.homepage      = "https://github.com/leohige/yume"
  spec.license       = "MIT"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/leohige/yume"
  spec.metadata["changelog_uri"] = "https://github.com/leohige/yume"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "discordrb", "~> 3.3.0"
  spec.add_development_dependency "activerecord", "~> 6.0.2.1"
end
